* {
  text-decoration: none;
}


.btnTypeA {
  font-size: 120%;
  display: inline-block;
  position: relative;
  color: #c0baa4;
  padding: 1.5rem 2.5rem 1.5rem 4rem;
  transition: all 0.3s;
}
.btnTypeA:before, .btnTypeA:after {
  content: "";
  position: absolute;
  display: block;
  top: 50%;
}
.btnTypeA:before {
  width: 0.6rem;
  height: 0.6rem;
  left: 1rem;
  border-top: solid 2px #fff;
  border-right: solid 2px #fff;
  z-index: 2;
  transform: translateY(-50%) rotate(45deg);
  transition: all 0.3s;
}
.btnTypeA:after {
  left: 0;
  background: #c0baa4;
  z-index: 1;
  width: 3rem;
  height: 3rem;
  border-radius: 1.5rem;
  transform: translateY(-50%);
  transition: all 0.5s;
}
.btnTypeA span {
  position: relative;
  transition: all 0.3s;
  z-index: 3;
}
.btnTypeA:hover {
  padding: 1.5rem 2.5rem 1.5rem 4.5rem;
}
.btnTypeA:hover span {
  color: #fff;
}
.btnTypeA:hover:before {
  left: 2.5rem;
}
.btnTypeA:hover:after {
  right: 0;
  width: 100%;
}